// --- Turbo codes ---

// 1
@inproceedings{berrou1993,
  author    = {Berrou, C. and Glavieux, A. and Thitimajshima, P.},
  booktitle = {IEEE ICC},
  title     = {Near Shannon limit error-correcting coding and decoding: Turbo-codes.},
  year      = {1993}
}

// --- LTE norm ---

// 2
@misc{lte,
  title   = {{3GPP} - {TS} 136.212 - {Multiplexing} and channel coding ({R.} 11)},
  urldate = {2015-09-08},
  author  = {ETSI},
  file    = {TS 136 212 - V11.1.0 - LTE\; Evolved Universal Terrestrial Radio Access (E-UTRA)\; Multiplexing and channel coding (3GPP TS 36.212 version 11.1.0 Release 11) - ts_136212v110100p.pdf:/home/tibo/Dropbox/zotero/storage/42J4TB78/ts_136212v110100p.html:text/html}
}

// --- Hardware turbo decoder ---

// 3
@article{benkeser2009, 
  author  = {Benkeser, C. and Burg, A. and Cupaiuolo, T. and Qiuting Huang}, 
  journal = {IEEE JSSC}, 
  title   = {Design and Optimization of an {HSDPA} Turbo Decoder {ASIC}}, 
  year    = {2009}, 
  volume  = {44}, 
  number  = {1}, 
  pages   = {98-106}
}

// 4
@article{studer2011,
  title   = {Design and implementation of a parallel turbo-decoder {ASIC} for {3GPP-LTE}},
  author  = {Studer, Christoph and Benkeser, Christian and Belfanti, Sandro and Huang, Quiting},
  journal = {IEEE JSSC},
  volume  = {46},
  number  = {1},
  pages   = {8--17},
  year    = {2011}
}

// 5
@article{sun2011,
  title   = {Efficient hardware implementation of a highly-parallel {3GPP} {LTE/LTE}-advance turbo decoder},
  author  = {Sun, Yang and Cavallaro, Joseph R},
  journal = {Integration JVLSI},
  volume  = {44},
  number  = {4},
  pages   = {305--315},
  year    = {2011}
}

// 6
@inproceedings{belfanti2013, 
  author    = {S. Belfanti and others}, 
  booktitle = {IEEE VLSIC},
  title     = {A 1{G}bps {LTE}-advanced turbo-decoder {ASIC} in 65nm {CMOS}}, 
  year      = {2013}
}

// --- Cloud RAN ---

// 7
@inproceedings{paul2015, 
  author    = {H. Paul and D. Wubben and P. Rost}, 
  booktitle = {IEEE ICCW}, 
  title     = {Implementation and analysis of forward error correction decoding for Cloud-{RAN} systems}, 
  year      = {2015}
}

// 8
@article{wubben2014,
  author  = {D. Wubben and others},
  journal = {IEEE SPM},
  title   = {Benefits and Impact of Cloud Computing on 5G Signal Processing: Flexible centralization through cloud-RAN},
  year    = {2014},
  volume  = {31},
  number  = {6},
  pages   = {35-44}
}

// --- Software turbo decoder ---

// 9
@inproceedings{wu2010, 
  author    = {M. Wu and Y. Sun and J. R. Cavallaro}, 
  booktitle = {IEEE SiPS}, 
  title     = {Implementation of a {3GPP} {LTE} turbo decoder accelerator on {GPU}}, 
  year      = {2010}
}

// 10
@article{wu2011,
 author  = {Wu, Michael and Sun, Yang and Wang, Guohui and Cavallaro, Joseph R.},
 title   = {Implementation of a High Throughput {3GPP} Turbo Decoder on {GPU}},
 journal = {Springer JSPS},
 volume  = {65},
 number  = {2},
 year    = {2011},
 pages   = {171--183}
} 

// 11
@inproceedings{chinnici2012, 
  author    = {Chinnici, S. and Spallaccini, P.}, 
  booktitle = {IEEE ISTC}, 
  title     = {Fast simulation of turbo codes on {GPUs}}, 
  year      = {2012}, 
  pages     = {61-65}
}

// 12
@inproceedings{yoge2012, 
  author    = {Yoge, D.R.N. and Chandrachoodan, N.}, 
  booktitle = {IEEE VLSID}, 
  title     = {{GPU} Implementation of a Programmable Turbo Decoder for Software Defined Radio Applications}, 
  year      = {2012}
}

// 13
@inproceedings{liu2013, 
  author    = {Chengjun Liu and Zhisong Bie and Canfeng Chen and Xianjun Jiao}, 
  booktitle = {IEEE ICCT}, 
  title     = {A parallel {LTE} Turbo decoder on {GPU}}, 
  year      = {2013}
}

// 14
@inproceedings{chen2013, 
  author    = {Xiang Chen and Ji Zhu and Ziyu Wen and Yu Wang and Huazhong Yang}, 
  booktitle = {IEEE ICST}, 
  title     = {{BER} guaranteed optimization and implementation of parallel turbo decoding on {GPU}}, 
  year      = {2013}
}

// 15
@inproceedings{xianjun2013, 
  author    = {Jiao Xianjun and Chen Canfeng and Jaaskelainen, P. and Guzma, V. and Berg, H.}, 
  booktitle = {IEEE IWCMC}, 
  title     = {A 122Mb/s Turbo decoder using a mid-range {GPU}}, 
  year      = {2013}
}

// 16
@inproceedings{wu2013, 
  author    = {Wu, Michael and Wang, Guohui and Yin, Bei and Studer, Christoph and Cavallaro, Joseph R.}, 
  booktitle = {IEEE ACSSC}, 
  title     = {{HSPA+/LTE-A} Turbo Decoder on {GPU} and Multicore {CPU}}, 
  year      = {2013}
}

// 17
@inproceedings{zhang2014, 
  author    = {Yang Zhang and others}, 
  booktitle = {IEEE ISCIT}, 
  title     = {The acceleration of turbo decoder on the newest {GPGPU} of Kepler architecture}, 
  year      = {2014}
}

// 18
@article{li2014,
  author  = "Li, Rongchun and Dou, Yong and Xu, Jiaqing and Niu, Xin and Ni, Shice",
  title   = "An Efficient Parallel {SOVA}-Based Turbo Decoder for Software Defined Radio on {GPU}",
  journal = "IEICE Trans. Fundamentals",
  year    = "2014",
  volume  = "97",
  number  = "5",
  pages   = "1027-1036",
}

// 19
@inproceedings{huang2011, 
  author    = {Lin Huang and others}, 
  booktitle = {IEEE IET ICCTA}, 
  title     = {A high speed turbo decoder implementation for {CPU}-based {SDR} system}, 
  year      = {2011}
}

// 20
@inproceedings{zhang2012, 
  author    = {Suiping Zhang and Rongrong Qian and Tao Peng and Ran Duan and Kuilin Chen}, 
  booktitle = {IEEE ICST}, 
  title     = {High throughput turbo decoder design for {GPP} platform}, 
  year      = {2012}
}

// --- BCJR algorithm ---

// 21
@article{bahl1974,
  author  = {Bahl, L. and Cocke, J. and Jelinek, F. and Raviv, J.}, 
  journal = {IEEE TIT}, 
  title   = {Optimal decoding of linear codes for minimizing symbol error rate (Corresp.)}, 
  year    = {1974}, 
  volume  = {20}, 
  number  = {2}, 
  pages   = {284-287}
}

// --- Enhanced max-log-MAP algorithm ---

// 22
@inproceedings{robertson1995, 
  author    = {P. Robertson and E. Villebrun and P. Hoeher}, 
  booktitle = {IEEE ICC}, 
  title     = {A comparison of optimal and sub-optimal {MAP} decoding algorithms operating in the log domain}, 
  year      = {1995}
}

// 23
@article{vogt2000, 
  author  = {J. Vogt and A. Finger}, 
  journal = {Electronics Letters}, 
  title   = {Improving the {max-log-MAP} turbo decoder}, 
  year    = {2000}, 
  volume  = {36}, 
  number  = {23}, 
  pages   = {1937-1939}
}

// --- Parallelism in turbo decoders ---

// 24
@article{muller2009, 
  author  = {O. Muller and A. Baghdadi and M. Jezequel}, 
  journal = {IEEE TVLSIS}, 
  title   = {From Parallelism Levels to a Multi-ASIP Architecture for Turbo Decoding}, 
  year    = {2009}, 
  volume  = {17}, 
  number  = {1}, 
  pages   = {92-102}
}

// --- TNDC metric ---

// 25
@inproceedings{ying2012, 
  author    = {Y. Ying and K. You and L. Zhou et al}, 
  booktitle = {IEEE ISCAS}, 
  title     = {A pure software {LDPC} decoder on a multi-core processor platform with reduced inter-processor communication cost}, 
  year      = {2012}
}

// --- AFF3CT software ---

// 25
@misc{aff3ct_2016_55668,
  author = {AFF3CT},
  title  = {{AFF3CT}: The first software release},
  year   = {2016},
  doi    = {10.5281/zenodo.55668},
  url    = {http://dx.doi.org/10.5281/zenodo.55668}
}
